#ifndef MODEL_CONFIG_H
#define MODEL_CONFIG_H

#include <string>

#include "kylin-ai/common/enums.h"

struct _ChatModelConfig {
    std::string name_{};
    ModelDeployType type_{ModelDeployType(-1)};
    int topK_{};
};

std::string modelConfigToJson(const _ChatModelConfig &modelconfig);

#endif  // MODEL_CONFIG_H